<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ID = intval($_GET['id']);
if (isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_razdel` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){	
$razdel = mysql_fetch_array(mysql_query("SELECT * FROM `comm_forum_razdel` WHERE `id` = '".intval($ID)."' LIMIT 1"));
$comm = get_comm($razdel['id_comm']);
$set['title']='Форум сообщества '.text($comm['name']).' - '.text($razdel['name']).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
$moder = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_user` = '".intval($user['id'])."' AND `id_comm` = '$comm[id]' AND `level` > '0'"),0);
//======================Начало приватности сообщества===============================//
	if(isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]' && (`time_ban` > '$time' OR `navsegda` = '1')"),0)!=0){
	echo'<div class="mess">Вы были забанены ';
	$banned = mysql_fetch_array(mysql_query("SELECT * FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]'"));
	$bancon = mysql_fetch_array(mysql_query("SELECT * FROM `comm_user` WHERE `id_user` = '$banned[id_ban]' AND `id_comm` = '$comm[id]'"));
	if($bancon['level']==1){
		echo 'модератором ';
	}elseif($bancon['level']==2){
		echo 'администратором ';
	}elseif($bancon['level']==3){
		echo 'создателем ';
	}
	echo group($bancon['id_user']);
	echo user::nick($bancon['id_user'],1,1,1);
	if($banned['navsegda']==1){
		echo' навсегда!';
	}else{
		$timefe = $banned['time_ban']-$banned['time'];
		echo ' на ';
		if($timefe>3600){
			$timef = $timefe/3600;
			$timefe = floor($timef);
			
			$timem = $timef-$timefe;
			if($timem==0){
			echo''.$timefe.' часов!';
			}else{
				$timem = round($timem*60);
				echo''.$timefe.' часов '.$timem.' минут!';
			}
		}elseif($timefe<3600){
			$timef = $timefe/60;
			$timefe = round($timef);
			echo''.$timefe.' минут!';
		}
		echo ' <small>';
		echo vremja($banned['time']);
		echo '</small>';
	}
		echo "</div><div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/cat.php?id=$comm[id_category]'>Назад в категорию</a></div>"; 
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//===========================================//
	if($comm['close']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_comm` = '".intval($comm['id'])."' AND `id_user` = '$user[id]'"),0)==0){
		echo'<div class="mess">Сообщество закрыто для чтения!</div>';
		echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>В сообщество</a></div>";
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//================Конец приватности сообщества=====================//
if (isset($_POST['name']) && isset($_POST['create']) && isset($_POST['msg']) && isset($user))
{
if (isset($_POST['msg2']) && !isset($_POST['plus']) && !isset($_POST['minus']))
{


$msg2 = my_esc($_POST['msg2']);
if (strlen2($msg2)>250){ $err[] = 'Опрос содержит более 250 символов'; }

if (strlen2($msg2)<3){ $err[] = 'Опрос содержит менее 3 символов'; }


// Если добавляют или убирают форму


	
	for ($i=1; $i < $_SESSION['forms']; $i++)
	{
		$_SESSION['variant_' . $i] = $_POST['varian_' . $i];
		
		if (strlen2($_POST['varian_' . $i]) > 125){ $err[] = 'Вариант №' . $i . ' содержит более 250 символов'; }
		
		if (strlen2($_POST['varian_' . $i]) < 1){ $err[] = 'Вариант №' . $i . ' содержит менее 1 символа'; }
		
	}
}


$name=my_esc($_POST['name']);

if (strlen2($name)<3)$err[] = 'Короткое название для темы';
if (strlen2($name)>100)$err[] = 'Название темы не должно быть длиннее 32-х символов';

$mat = antimat($name);
if ($mat)$err[] = 'В названии темы обнаружен мат: '.$mat;

$msg = my_esc($_POST['msg']);

if (strlen2($msg)<10)$err[]='Короткое сообщение для темы';
if (strlen2($msg)>30000)$err[]='Длина сообщения превышает предел в 30 000 символа';

$mat = antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

$msg = my_esc($msg);
err();
if (!isset($err))
{
mysql_query("INSERT INTO `comm_forum_theme` (`id_razdel`, `time_create`, `id_user`, `name`, `time`, `text`, `id_comm`) values('$razdel[id]', '$time', '$user[id]', '$name', '$time', '$msg', '$comm[id]')");
$them['id'] = mysql_insert_id();
if (isset($_POST['msg2']) && isset($_GET['create']) && $_GET['create']=='opros' && !isset($_POST['plus']) && !isset($_POST['minus']))
{
	$msg2 = my_esc($_POST['msg2']);
	mysql_query("INSERT INTO `comm_votes` (`time`, `msg`, `id_user`, `id_them`) values('$time', '$msg2', '$user[id]', '$them[id]')");
		
		$IV = mysql_insert_id();	
		
		
		
		
			for ($i=1; $i < $_SESSION['forms']; $i++)
			{
				$otvet = my_esc($_POST['varian_' . $i]);
				
				mysql_query("INSERT INTO `comm_votes_variant` (`num`, `otvet`, `id_votes`) values('$i', '$otvet', '$IV')");
				
				$_SESSION['variant_' . $i] = NULL;
			}
		$_SESSION['forms'] = 3;
		$_SESSION['poster'] = NULL;//
	
}

//====================Рейтинг и лента===========================//
		$rating = $comm['rating_tmp']+1;
		mysql_query("UPDATE `comm` SET `rating_tmp` = '$rating' WHERE `id` = '$comm[id]' LIMIT 1");
		$user_lenta=mysql_query("SELECT * FROM `comm_user` WHERE `id_comm` = '$comm[id]'");
		while($posts = mysql_fetch_assoc($user_lenta))
		{
		if($posts['id_user']!=$user['id']){
		mysql_query("INSERT INTO `comm_lenta` (`id_object` , `id_comm` , `id_user` , `type` , `time`) 
		VALUES ('".intval($them['id'])."', '".intval($comm['id'])."', '$posts[id_user]', 'forum', '$time')");
		}
		}
//==================The End====================================//

mysql_query("UPDATE `user` SET `rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] = 'Тема успешно создана';
header("Location: /comm/theme/$them[id]/");
exit;
}

}
if(isset($_GET['act']) && $_GET['act']=='new' && (isset($user) && $razdel['adm']==0 || isset($user) && $razdel['adm']==1 && $moder!=0)){
	if(!isset($_POST['create'])){
	
if(isset($_GET['create']) && $_GET['create']=='opros'){
if (!isset($_SESSION['poster']))
{
	$_SESSION['poster'] = NULL;
}

if (isset($_POST['plus']) || isset($_POST['minus']))
{	
	$_SESSION['poster'] = $_POST['msg2'];
	for ($i=1; $i < $_SESSION['forms']; $i++)
	{
		$_SESSION['variant_' . $i] = $_POST['varian_' . $i];
	}

}
echo "<form method=\"post\" name='message' action=\"?act=new&create=opros\">";
}else{
	echo "<form method=\"post\" name='message' action=\"?act=new\">";
}

echo "Название темы:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='100' value='' /><br />\n";
if(isset($_GET['create']) && $_GET['create']=='opros'){

// Если добавляют или убирают форму
	if (isset($_POST['plus']) && $_SESSION['forms'] < 11){ $_SESSION['forms'] = $_SESSION['forms'] + 1; header('Location: ?act=new&create=opros'); exit; } // Добавляем формы ответа

if (isset($_POST['minus']) && $_SESSION['forms'] > 3){ $_SESSION['forms'] = $_SESSION['forms'] - 1; header('Location: ?act=new&create=opros'); exit; } // Убираем формы ответа
	$msg2 = $_SESSION['poster'];
	echo 'Опрос:<br/>';
if ($set['web'] && is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php'))
include_once H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
else
echo $tPanel . '<textarea style="margin:2px; background: #fffbce;" name="msg2" placeholder="Ваш вопрос...">' . $msg2 . '</textarea><br />';

if (isset($_SESSION['forms'])) // Колличество форм для ответа
	$forms = intval($_SESSION['forms']);
else $forms = 3;

$_SESSION['forms'] = $forms;
for ($i=1; $i<$forms; $i++)
{
	
	// Цвет названия форм вариантов
	
	$color = $i.$i.$i; 
	
	$color = $color.$color + $color + $color - ($color / 2);
	
	// Если вариант небыл заполнен
	
	if (!isset($_SESSION['variant_' . $i]))$_SESSION['variant_' . $i] = NULL;
	
	// Форма вариантов
	
	echo '<font color="#' . $color . '">Вариант №' . $i . '<br /><input type="text" value="' . htmlspecialchars($_SESSION['variant_' . $i]) . '" style="width:90%; margin:2px; background: #d3fdff;" name="varian_' . $i . '" maxlength="125" placeholder="Введите вариант ответа..."/></font><br />';
	
}

// Добавляем форму

if ($forms < 11)echo '<input name="plus" value="[+] Еще вариант" type="submit" style="width:45%; background: #999; border: #666 solid 1px; padding:1px; margin: 2px;"/> ';

// Убираем форму

if ($forms > 3)echo '<input name="minus" value="[-] Убрать вариант" type="submit" style="width:45%; background: #999; border: #666 solid 1px; padding:1px; margin: 2px;"/> ';

echo"<br /><img src='/style/icons/delete.gif' alt='opros'/> <a href='?act=new'>Убрать опрос</a><br />";
}else{
	echo"<img src='/style/icons/ok.gif' alt='opros'/> <a href='?act=new&create=opros'>Добавить опрос</a><br />";
}
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
{
   include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
}
else
{
	echo "Сообщение:$tPanel<textarea name=\"msg\"></textarea><br />\n";
}

echo "<input name=\"create\" value=\"Создать\" type=\"submit\" /><br />\n";
echo "</form>\n";
}
echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}




if(isset($user)){
	echo '<div class="foot">';
	echo '<img src="/style/icons/t.gif" alt="*"> <a href="?act=new" title="Создать новую тему">Новая тема</a><br />';
	echo '</div>';
}


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_theme` WHERE `id_razdel` = '$razdel[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


echo '<table class="post">';


$q=mysql_query("SELECT * FROM `comm_forum_theme` WHERE `id_razdel` = '$razdel[id]' ORDER BY `up` DESC,`time` DESC  LIMIT $start, $set[p_str]");

if (mysql_num_rows($q)==0) 
{
	echo '<div class="mess">';
	echo 'Нет тем в разделе ' . text($razdel['name']);
	echo '</div>';
}	

while ($them = mysql_fetch_assoc($q))
{
/*-----------зебра-----------*/	
if ($num == 0)	
{			
	echo '<div class="nav1">';		
	$num = 1;	
}	
elseif ($num == 1)	
{		
	echo '<div class="nav2">';		
	$num = 0;	
}	
/*---------------------------*/


echo '<img src="/style/themes/' . $set['set_them'] . '/forum/14/them_' . $them['up'] . $them['close'] . '.png" alt="" />';

echo '<a href="/comm/theme/' . $them['id'] . '/">' . text($them['name']) . '</a> 
	  <a href="/comm/theme/' . $them['id'] . '/?page=' . $pageEnd . '">(' . mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_post` WHERE `id_razdel` = '$razdel[id]' AND `id_them` = '$them[id]'"),0) . ')</a><br />';

$ank = get_user($them['id_user']);

echo 'Автор: '; echo user::nick($ank['id'],1,0,0); echo' (' . vremja($them['time_create']) . ')<br />';

$post2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `comm_forum_post` WHERE `id_them` = '$them[id]' AND `id_razdel` = '$razdel[id]' ORDER BY `time` DESC LIMIT 1"));

$ank2 = get_user($post2['id_user']);

if ($ank2['id']){echo 'Посл.: ';echo user::nick($ank2['id'],1,0,0); echo' (' . vremja($post2['time']) . ')<br />';}

echo '</div>';
}

echo '</table>';

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>".text($comm['name'])."</a> | <a href='/comm/forum/$comm[id]/'>Форум</a></div>";

}else{
	header("Location: /");
}
include_once '../sys/inc/tfoot.php';
?>